Packages - Bug #2674

[clamav] Virus signatures licensing
2020-04-07 12:55 AM - Anonymous

Status: unconfirmed % Done: 0%
Priority: discussion

Assignee:

Category:

Description

ClamAV is antivirus software and it uses virus signatures to detect malware. Most malicious software is non-free so there might be
non-free signatures in the database.

History

#1 - 2020-04-07 12:55 AM - Anonymous

Should be Freedom issue, not Bug.

#2 - 2020-04-07 01:11 AM - freemor

IIUC virus signature are just small strings unique to the virus not who9le chuncks of code and thus considered too trivial to be copyrightable. Or it
looks for heuristics. tries to create these files in this location, ergo most likely bad. Again not the actual code from the virus. Virus signatures aren't
executed. They are a set of conditions to match against.

#3 - 2020-04-07 01:12 AM - freemor

- Priority changed from bug to discussion

#4 - 2022-05-21 08:40 PM - Zuss

Here's the documentation relating to signatures: https://docs.clamav.net/manual/Signatures.html
They looks pretty non trivial to make and as freemor said, they're just conditions to be matched against.

You can verify yourself by unpacking the .cvd file clamav distributes with "sigtool -u main.cvd" which will then show all the files and signatures within
them.

| don't think there's much of an issue and ClamAV should be able to stay in the repos
